function gamma = computeGammaHRT(vecGamma,T)
%computeGammaHRT      find gama high rank tensor value in a table.
%
%   gamma = computeGammaHRT(vecGamma,T) given vector VECGAMMA and table T, it find the 
%                       value GAMMA according to:
%                       'Özarslan E. etal, (2003) Generalized diffusion tensor imaging 
%                       and analytical relationships between diffusion tensor imaging 
%                       and high angular resolution diffusion imaging. Magn. Reson. Med.'
%
%   Alonso Ramirez.  
%   $Date: 2008/10/21$

[NT c]= size(T);


gamma=0;
for i=1:NT
    if vecGamma == T(i,1:3)
       gamma = T(i,4);
       break;
    end
end


