function alphas= fitDBF(s0,DW,mask,DBFs,method)
%fitDBF      Fits the DBF model to a volume of DW signals
%
%   alphas= fitDBF(s0,DW,mask,DBFs,method) 
%   Fits the DBFs model to a volume of dw signals (S0, DW) using METHOD ['NNLS','NNBP'].
%   It fits the model only to voxels in the binary MASK. The results in ALPHAS is a field
%   of vectors where each entry is associated to a discrete direction as explained in:
%   A. Ramirez-Manzanares etal, Diffusion Basis Functions Decomposition for Estimating 
%   White Matter Intravoxel Fiber Geometry. IEEE Trans. Med. Imaging 26(8): 2007.
%
%   Alonso Ramirez.  
%   $Date: 2008/10/21$

if method == 'NNLS'
    alphas= fitDBF_NNLS(s0,DW,mask,DBFs);
else
   error('No valid Method for DBF fitting, use NNLS');
end
