function [Dad, HRTCoeff]=fromNeg2PosDefinite(Vad,Dad)
%fromNeg2PosDefinite      Convert tensor coefficinets and eigen values to positive definite.
%
%   [Dad, HRTCoeff]=fromNeg2PosDefinite(Vad,Dad)
%   Given the tensor's eigen decomposition [Vad,Dad] for a non-positive tensor, the function inverts 
%   the sign of the negative eigen values in DAD and returns the tensor coefficients.
%
%   Alonso Ramirez.  
%   $Date: 2008/10/21$

if Dad(1,1) < 0; Dad(1,1) = -Dad(1,1); end
if Dad(2,2) < 0; Dad(2,2) = -Dad(2,2); end
if Dad(3,3) < 0; Dad(3,3) = -Dad(3,3); end


T = Vad * Dad * Vad'; %reconstruct

HRTCoeff = zeros(6,1); %recompute coeffs

HRTCoeff(1) =  T(1,1);
HRTCoeff(2) =  T(2,2);
HRTCoeff(3) =  T(3,3);
HRTCoeff(4) =  T(1,2);
HRTCoeff(5) =  T(1,3);
HRTCoeff(6) =  T(2,3);
