function [basisDNeigh, dotsNeig] = getBasisDirectionsNeighborhoods(numberBasisDNeig,BasisDir)
%getBasisDirectionsNeighborhoods      compute neighborhood of a orientation scheme.
%
%   [basisDNeigh, dotsNeig] = getBasisDirectionsNeighborhoods(numberBasisDNeig,BasisDir) 
%   Compute a table BASISDNEIGH containing  #NUMBERBASISDNEIG closests neighbors to each
%   direction in BASISDIR. The distance (dot product) to each neighbor is given in DOTSNEIG.
%   Alonso Ramirez.  
%   $Date: 2008/10/21$

[nv nd] = size(BasisDir);
basisDNeigh = zeros(nv,numberBasisDNeig);
dotsNeig = zeros(nv,numberBasisDNeig);

for i=1:nv
    for k=1:numberBasisDNeig %find the neighboring orientations
        dotMax = -1;
        indMax = 0;
        for j=1:nv %for all the posibilities (neighbors)
            if j ~= i & max(basisDNeigh(i,:) == j) ==0
                %distance = dot product
                dot = abs(BasisDir(i,:) * BasisDir(j,:)');
                if dot > dotMax
                    dotMax = dot; %the closest
                    indMax = j;
                end
            end
        end
        basisDNeigh(i,k) = indMax;
        dotsNeig(i,k) = dotMax;
    end
end
