function [rang,sini,sfin,all] = giveRange(rang,ini,fin)
%giveRange      Given a flag of image spatial range, computes the actual range and 
%
%   [rang,sini,sfin,all] = giveRange(rang,ini,fin) 
%   Given RANG (-1 means all), and minimum and maximun dimenstions. Return the range RANG, and description strings
%   [SINI, SFIN] of the range as well as the flag ALL if range is equal to the whole image size.
%
%   Alonso Ramirez.  
%   $Date: 2008/10/21$

if rang ~= -1
    all = 0;
    ini = rang(1);
    fin = max(rang);
else
    all = 1;
end

sini = int2str(ini);
sfin = int2str(fin);

while size(sfin,2) > size(sini,2)
    sini = ['0' sini];
end


rang = ini:fin;
