function vol = matlab2nii(img)
%matlab2nii      convert from matlab to nifti.
%
%   vol = matlab2nii(img) 
%   Converts IMG from matlab memory-format to nifti order.
%   flipud then transpose
%
%   Alonso Ramirez.  
%   $Date: 2008/10/21$

[row col slice nv nw] = size(img);
vol = zeros(col,row, slice, nv, nw);

for w=1:nw
    for v=1:nv
        for k=1:slice
            vol(:,:,k,v,w) = flipud(squeeze(img(:,:,k,v,w)))';
        end
    end
end
