function vol = nii2matlab(niiimg)
%nii2matlab      Converts from nifti format to matlab-memory format.
%
%   vol = nii2matlab(niiimg)
%   Convert the nifti format volume NIIIMG to matlab memory-format VOL.
%   (transpose then flipud)
%
%   Alonso Ramirez.  
%   $Date: 2008/10/21$

[col row slice nv nw ] = size(niiimg);
vol = zeros(row, col, slice, nv);

for w=1:nw
    for v=1:nv
        for k=1:slice
            vol(:,:,k,v,w) = flipud(squeeze(niiimg(:,:,k,v,w))');
        end
    end
end
